# Notas importantes, Instalando *FreeBSD*.

## Medio de instalacion:

En FreeBSD tenemos varios métodos de instalación, de los cuales estos son los que 
están el los mirrors oficiales, y un abreve explicación de estos:

1. bootonly.iso:
La mas mínima instalación. Solamente contiene el instalador, y nada mas.

2. disc1.iso:
Contiene ademas el source y los ports de FreeBSD. (esta es la que prefiero instalar.)

3. dvd1.iso:
Contiene mas cosas, ademas del contenido de la *disc1.iso*, algunos binarios de 
paquetes, un gestor de ventanas. 

4. memstick.img: para la usb. 

## Ports
Para instalar mediante *ports*, es necesario hacer fetch a los ports de BSD:

``` sh
# Descargar los ports localmente.
portsnap fetch

# Extraer los ports.
portsnap extract

# Actualizar los ports.
portsnap update
```
A partir de este punto ya es posible compilar paquetes de forma manual.
La ruta de los port es:
/usr/ports/

## Suckless tools:

### dwm/dmenu:

Estas variables vienen así en el archivo *config.mk*:
``` Makefile
X11INC = /usr/X11R6/include/
X11LIB = /usr/X11R6/lib
```

Modificar las lineas así para compilar en FreeBSD:
``` Makefile
X11INC = /usr/local/include/
X11LIB = /usr/local/lib
```

### st:

Para compilar *ST* es necesario tener pkg-config, para poder compilar sin problemas.

``` sh
pkg install pkgconfig
```
